Groovy 1.7.0

## org.codehaus.groovy.control.messages
Class SyntaxErrorMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.SyntaxErrorMessage

    class SyntaxErrorMessage
    extends Message

A class for error messages produced by the parser system.

author:
  Chris Poirier

version:
  $Id: SyntaxErrorMessage.java 7899 2007-09-03 11:25:08Z paulk $

Field Summary
`protected SyntaxException` | `cause`
`protected SourceUnit` | `source`

Constructor Summary
`SyntaxErrorMessage(SyntaxException cause, SourceUnit source)`

Method Summary
`SyntaxException` | `getCause()` Returns the underlying SyntaxException.
`void` | `write(PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the syntax error.

Methods inherited from class Message
create, create, create, write, write

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### cause

    protected SyntaxException cause

### source

    protected SourceUnit source

Constructor Detail

### SyntaxErrorMessage

    public SyntaxErrorMessage(SyntaxException cause, SourceUnit source)

Method Detail

### getCause

    public SyntaxException getCause()

  Returns the underlying SyntaxException.

### write

    public void write(PrintWriter output, Janitor janitor)

  Writes out a nicely formatted summary of the syntax error.

Copyright © 2003-2009 The Codehaus. All rights reserved.